# Uses of Interface
org.opensaml.soap.wspolicy.PolicyReference

Packages that use PolicyReference
Package
Description
org.opensaml.soap.wspolicy
XMLObject interfaces for WS-Policy 1.2 elements.
org.opensaml.soap.wspolicy.impl
XML Object provider implementations for WS-Policy.

## Uses of PolicyReference in org.opensaml.soap.wspolicy

Methods in org.opensaml.soap.wspolicy that return types with arguments of type PolicyReference
Modifier and Type
Method
Description
`List<PolicyReference>`
OperatorContentType.`getPolicyReferences()`
Get the list of `PolicyReference` elements.
`List<PolicyReference>`
PolicyAttachment.`getPolicyReferences()`
Get the list of PolicyReference child elements.

## Uses of PolicyReference in org.opensaml.soap.wspolicy.impl

Classes in org.opensaml.soap.wspolicy.impl that implement PolicyReference
Modifier and Type
Class
Description
`class`
`PolicyReferenceImpl`
PolicyReferenceImpl.
Methods in org.opensaml.soap.wspolicy.impl that return PolicyReference
Modifier and Type
Method
Description
`PolicyReference`
PolicyReferenceBuilder.`buildObject()`
Builds a WS-Policy object.
`PolicyReference`
PolicyReferenceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.soap.wspolicy.impl that return types with arguments of type PolicyReference
Modifier and Type
Method
Description
`List<PolicyReference>`
OperatorContentTypeImpl.`getPolicyReferences()`
Get the list of `PolicyReference` elements.
`List<PolicyReference>`
PolicyAttachmentImpl.`getPolicyReferences()`
Get the list of PolicyReference child elements.